"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultMissingErrorMessage = void 0;
exports.defaultMissingErrorMessage = "Unknown error occurred";
exports.default = (_a = {},
    _a["VerifyResult.NoError" /* NoError */] = "No error",
    // GET
    _a["VerifyResult.PathsMissing" /* PathsMissing */] = "'paths' argument is missing",
    _a["VerifyResult.PathsNotStringOrStringArray" /* PathsNotStringOrStringArray */] = "'paths' argument has to be a string or a string array",
    _a["VerifyResult.RawOptionNotBool" /* RawOptionNotBool */] = "'raw' option has to be a boolean",
    _a["VerifyResult.RetainPathOptionNotBool" /* RetainPathOptionNotBool */] = "'retainPath' option has to be a boolean",
    _a["VerifyResult.MaxDepthOptionNotNumber" /* MaxDepthOptionNotNumber */] = "'max_depth' option has to be a positive number",
    _a["VerifyResult.MaxDepthOptionIsNegative" /* MaxDepthOptionIsNegative */] = "'max_depth' option has to be a positive number",
    // SET / ADD
    _a["VerifyResult.ValueIsMissing" /* ValueIsMissing */] = "'value' argument is required",
    _a["VerifyResult.ValueMustBeArray" /* ValueMustBeArray */] = "'value' argument must be an array, when 'path' is an array",
    _a["VerifyResult.ValueAndPathArraysMustBeSameLength" /* ValueAndPathArraysMustBeSameLength */] = "'path' and 'value' arrays must have the same length",
    _a["VerifyResult.ValueIsNotTupleArray" /* ValueIsNotTupleArray */] = "'path' argument must be an array of tuples",
    // DELETE
    _a["VerifyResult.AllowPartialOptionNotBool" /* AllowPartialOptionNotBool */] = "'allowPartial' option has to be a boolean",
    // SUPPORTED_DM
    _a["VerifyResult.OptionsMustBeBool" /* OptionsMustBeBool */] = "all options have to be boolean",
    // INSTANCES
    _a["VerifyResult.FirstLevelOnlyNotBool" /* FirstLevelOnlyNotBool */] = "'firstLevelOnly' has to be a boolean",
    // PROTO
    _a["VerifyResult.ProtoNotString" /* ProtoNotString */] = "'proto' argument has to be a string",
    _a);
